import { EventEmitter } from '../../../stencil-public-runtime';
import { Page } from '../../../models/definitions';
import { IPageResult } from '../../../models/page.model';
export declare class FacilitatorPage {
  path: string;
  badFetch?: Response | null;
  page: Page;
  pageDidLoad: EventEmitter<{
    pageInfo: IPageResult;
  }>;
  componentWillLoad(): Promise<void>;
  fetchPage(path: string | null, oldPath?: string): Promise<void>;
  validateFetch: (response: Response) => Promise<any>;
  handleNewPage: (page: Page) => void;
  handleBadFetch: (error: Response) => void;
  setDocumentMeta(page: Page): void;
  hostData(): {
    class: {
      [x: number]: boolean;
    };
  };
  renderColumn2(): any;
  renderColumn1(page: any): any;
  render(): any;
}
